#
# Makefile for HP-UX
#
# $Id: Makefile.hpx,v 1.6 1997/08/11 08:03:01 sob Exp $
#
CC     = cc -Aa -D_POSIX_SOURCE
AR     = ar cq
RANLIB = touch
LIBC   = /lib/libc.a
IFLAGS = 
LFLAGS = 
CFLAGS = -O ${IFLAGS} ${LFLAGS}
INCDIR = /opt/wu_ftpd/include/arpa

SRCS   = fnmatch.c strcasestr.c strsep.c getusershell.c snprintf.c
OBJS   = fnmatch.o strcasestr.o strsep.o getusershell.o snprintf.o

all: $(OBJS)
	-rm -f libsupport.a
	${AR} libsupport.a $(OBJS)
	${RANLIB} libsupport.a

clean:
	-rm -f *.o libsupport.a

ftp.h:
	-mkdir -p $(INCDIR)
	-chmod a+rx $(INCDIR)
	-../util/install -c -m 644 ftp.h $(INCDIR)

fnmatch.o: fnmatch.c
	${CC} ${CFLAGS} -c fnmatch.c

getusershell.o: getusershell.c
	${CC} ${CFLAGS} -c getusershell.c

strerror.o: strerror.c
	${CC} ${CFLAGS} -c strerror.c

strdup.o: strdup.c
	${CC} ${CFLAGS} -c strdup.c

strcasestr.o: strcasestr.c
	${CC} ${CFLAGS} -c strcasestr.c

strsep.o: strsep.c
	${CC} ${CFLAGS} -c strsep.c

authuser.o: authuser.c
	${CC} ${CFLAGS} -c authuser.c

ftw.o: ftw.c
	${CC} ${CFLAGS} -c ftw.c

snprintf.o: snprintf.c
	${CC} ${CFLAGS} -c snprintf.c

